Page MenuHomePhabricator

In the VisualEditor media selector, show the name of each file so it can be identified
Closed, ResolvedPublic1 Estimated Story Points

Description

User:Wouterstomp at en.wp suggests that in the media selection dialog, the full name of an image should be shown in a tooltip when you hover over it. Either for all images or only those whose name is too long to be shown in full beneath the image.


Version: unspecified
Severity: enhancement

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:47 AM
bzimport set Reference to bz52459.
Thryduulf created this task.Aug 2 2013, 3:48 PM

This would be nice for desktop users, but not so good for mobile (tablet/phone) users who are using touch to navigate. Maybe something else for them, like displaying the details of the file on a page before inserting?

I think a better place to display the name would be in the "Media settings" dialog. Right now, when inserting an image, you don't even know what you're inserting (neither a file name nor a thumbnail is shown in the dialog).

That would also provide a better place for the "Choose a different image" button, which is now awkwardly placed in the bottom-left corner.

Since no one disagrees, I'm going to make that happen.

Jdforrester-WMF renamed this task from VisualEditor: In the media selector show name in a tooltip on mouseover to In the VisualEditor media selector, show the name of each file so it can be identified.Jan 8 2015, 2:07 AM
Jdforrester-WMF moved this task from TR6: Visual diffs to Blocked on the VisualEditor board.
Jdforrester-WMF set Security to None.
Jdforrester-WMF removed a subscriber: rmoen.

Change 183729 had a related patch set uploaded (by Mooeypoo):
Add filename to the media dialog

https://gerrit.wikimedia.org/r/183729

Patch-For-Review

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Jan 16 2015, 5:42 PM

Change 183729 merged by jenkins-bot:
Add filename to the media dialog

https://gerrit.wikimedia.org/r/183729

Checked in betalabs.